<?php

/**
 * @file
 * Contains \Drupal\simple_redirect\SimpleRedirectValidate.
 */

namespace Drupal\simple_redirect;
use Drupal\Core\Form\FormStateInterface;

/**
 * Class SimpleRedirectValidate.
 *
 * @package Drupal\simple_redirect
 */
class SimpleRedirectValidate {

  public static function validateSimpleRedirectUrl(FormStateInterface $form_state, $from, $to) {
    if (!\Drupal::pathValidator()->isValid($from) || empty($from)) {
      $form_state->setErrorByName('simple_redirect_from', t("Enter a valid url."));
    }
    if (!\Drupal::pathValidator()->isValid($to) || empty($to)) {
      $form_state->setErrorByName('simple_redirect_to', t("Enter a valid url."));
    }
  }

}